% "Using geographically weighted choice models to account for the spatial heterogeneity of preferences"
% Wiktor Budziski, Danny Campbell, Mikoaj Czajkowski, Urka Demar and Nick Hanley

% Online codes
% 2017-10-18 version

% This code transforms individual-specific WTP from MXL to 1001
% observations format (instead of 253 - one per location). 
% Output is lated used for Figure3.R code

% Input
% File MXL_results_new.mat, which can be calculated using MXLcalc.m code
% File polforex_2.9.mat, which contains coordinates data

%%

EstimOpt.fnameinput = ('polforex_2.9.mat'); 
DATA = load(EstimOpt.fnameinput);
Crds = DATA.Crds2;

CrdsUni = unique(Crds, 'rows'); % Unique coordinates
NoReg = size(CrdsUni,1); % No of locations

load('MXL_results_new.mat');

Scores = NaN(1001,8);
for i = 1:NoReg
    FindIndx = find(Crds(:,1) == CrdsUni(i,1) & Crds(:,2) == CrdsUni(i,2));
    Scores(FindIndx,:) = Results.MXL2.Scores(i*ones(length(FindIndx),1),1:8);
end