function [Y2,X2, EstimOpt] = TransformDataSet(Y,X, Crds, EstimOpt)

CrdsUni = unique(Crds, 'rows'); 
YY = reshape(Y, EstimOpt.NAlt*EstimOpt.NCT, EstimOpt.NP);
XX = reshape(X, EstimOpt.NAlt*EstimOpt.NCT, EstimOpt.NP, EstimOpt.NVarA);

NoReg = size(CrdsUni,1);
NoResp = zeros(NoReg,1); % No of respondents in every location
for i = 1:NoReg
    FindIndx = find(Crds(:,1) == CrdsUni(i,1) & Crds(:,2) == CrdsUni(i,2));
    NoResp(i) = length(FindIndx);
end

NCT = EstimOpt.NCT*max(NoResp);
NP = NoReg;
Y2 = NaN(NCT*EstimOpt.NAlt,NP);
X2 = NaN(NCT*EstimOpt.NAlt,NP, EstimOpt.NVarA);
for i = 1:NoReg
    FindIndx = find(Crds(:,1) == CrdsUni(i,1) & Crds(:,2) == CrdsUni(i,2));
    Loc = length(FindIndx);
    Y2(1:Loc*EstimOpt.NCT*EstimOpt.NAlt,i) = reshape(YY(:,FindIndx), Loc*EstimOpt.NCT*EstimOpt.NAlt,1);
    X2(1:Loc*EstimOpt.NCT*EstimOpt.NAlt,i,:) = reshape(XX(:,FindIndx,:), Loc*EstimOpt.NCT*EstimOpt.NAlt,1, EstimOpt.NVarA);
end
Y2 = reshape(Y2, NCT*EstimOpt.NAlt*NP,1);
X2 = reshape(X2, NCT*EstimOpt.NAlt*NP,EstimOpt.NVarA);
% X2 = X(1:EstimOpt.NAlt*EstimOpt.NCT,:);
% X2 = repmat(X2, max(NoResp)*NP,1);

EstimOpt.NCT = NCT;
EstimOpt.NP = NP;
